<?php



$tdatadisponibilidadesvinhaconfexporta = array();
$tdatadisponibilidadesvinhaconfexporta[".searchableFields"] = array();
$tdatadisponibilidadesvinhaconfexporta[".ShortName"] = "disponibilidadesvinhaconfexporta";
$tdatadisponibilidadesvinhaconfexporta[".OwnerID"] = "";
$tdatadisponibilidadesvinhaconfexporta[".OriginalTable"] = "Vinha";


$tdatadisponibilidadesvinhaconfexporta[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatadisponibilidadesvinhaconfexporta[".originalPagesByType"] = $tdatadisponibilidadesvinhaconfexporta[".pagesByType"];
$tdatadisponibilidadesvinhaconfexporta[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatadisponibilidadesvinhaconfexporta[".originalPages"] = $tdatadisponibilidadesvinhaconfexporta[".pages"];
$tdatadisponibilidadesvinhaconfexporta[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatadisponibilidadesvinhaconfexporta[".originalDefaultPages"] = $tdatadisponibilidadesvinhaconfexporta[".defaultPages"];

//	field labels
$fieldLabelsdisponibilidadesvinhaconfexporta = array();
$fieldToolTipsdisponibilidadesvinhaconfexporta = array();
$pageTitlesdisponibilidadesvinhaconfexporta = array();
$placeHoldersdisponibilidadesvinhaconfexporta = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"] = array();
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"] = array();
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"] = array();
	$pageTitlesdisponibilidadesvinhaconfexporta["Portuguese(Standard)"] = array();
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Varieta"] = "Varieta";
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Varieta"] = "";
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Varieta"] = "";
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Totale"] = "Totale";
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Totale"] = "";
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Totale"] = "";
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Quantidade_Vendida"] = "Quantidade Vendida";
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Quantidade_Vendida"] = "";
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Quantidade_Vendida"] = "";
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Stock"] = "Stock";
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Stock"] = "";
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Stock"] = "";
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Marza"] = "Marza";
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Marza"] = "";
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Marza"] = "";
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Confirmado"] = "Confirmado";
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Confirmado"] = "";
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Confirmado"] = "";
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Talea"] = "Talea";
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Talea"] = "";
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Talea"] = "";
	$fieldLabelsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Clone"] = "Clone";
	$fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Clone"] = "";
	$placeHoldersdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]["Clone"] = "";
	if (count($fieldToolTipsdisponibilidadesvinhaconfexporta["Portuguese(Standard)"]))
		$tdatadisponibilidadesvinhaconfexporta[".isUseToolTips"] = true;
}


	$tdatadisponibilidadesvinhaconfexporta[".NCSearch"] = true;


	$tdatadisponibilidadesvinhaconfexporta[".scrollGridBody"] = true;

$tdatadisponibilidadesvinhaconfexporta[".shortTableName"] = "disponibilidadesvinhaconfexporta";
$tdatadisponibilidadesvinhaconfexporta[".nSecOptions"] = 0;

$tdatadisponibilidadesvinhaconfexporta[".mainTableOwnerID"] = "";
$tdatadisponibilidadesvinhaconfexporta[".entityType"] = 1;

$tdatadisponibilidadesvinhaconfexporta[".strOriginalTableName"] = "Vinha";

	



$tdatadisponibilidadesvinhaconfexporta[".showAddInPopup"] = true;

$tdatadisponibilidadesvinhaconfexporta[".showEditInPopup"] = false;

$tdatadisponibilidadesvinhaconfexporta[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
			;
$popupPagesLayoutNames["add"] = "login";
$tdatadisponibilidadesvinhaconfexporta[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatadisponibilidadesvinhaconfexporta[".listAjax"] = false;
//	temporary
$tdatadisponibilidadesvinhaconfexporta[".listAjax"] = false;

	$tdatadisponibilidadesvinhaconfexporta[".audit"] = true;

	$tdatadisponibilidadesvinhaconfexporta[".locking"] = true;


$pages = $tdatadisponibilidadesvinhaconfexporta[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatadisponibilidadesvinhaconfexporta[".edit"] = true;
	$tdatadisponibilidadesvinhaconfexporta[".afterEditAction"] = 1;
	$tdatadisponibilidadesvinhaconfexporta[".closePopupAfterEdit"] = 1;
	$tdatadisponibilidadesvinhaconfexporta[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatadisponibilidadesvinhaconfexporta[".add"] = true;
$tdatadisponibilidadesvinhaconfexporta[".afterAddAction"] = 1;
$tdatadisponibilidadesvinhaconfexporta[".closePopupAfterAdd"] = 1;
$tdatadisponibilidadesvinhaconfexporta[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatadisponibilidadesvinhaconfexporta[".list"] = true;
}



$tdatadisponibilidadesvinhaconfexporta[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatadisponibilidadesvinhaconfexporta[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatadisponibilidadesvinhaconfexporta[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatadisponibilidadesvinhaconfexporta[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatadisponibilidadesvinhaconfexporta[".printFriendly"] = true;
}



$tdatadisponibilidadesvinhaconfexporta[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatadisponibilidadesvinhaconfexporta[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatadisponibilidadesvinhaconfexporta[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatadisponibilidadesvinhaconfexporta[".isUseAjaxSuggest"] = true;

$tdatadisponibilidadesvinhaconfexporta[".rowHighlite"] = true;



			

$tdatadisponibilidadesvinhaconfexporta[".ajaxCodeSnippetAdded"] = false;

$tdatadisponibilidadesvinhaconfexporta[".buttonsAdded"] = false;

$tdatadisponibilidadesvinhaconfexporta[".addPageEvents"] = false;

// use timepicker for search panel
$tdatadisponibilidadesvinhaconfexporta[".isUseTimeForSearch"] = false;


$tdatadisponibilidadesvinhaconfexporta[".badgeColor"] = "8FBC8B";


$tdatadisponibilidadesvinhaconfexporta[".allSearchFields"] = array();
$tdatadisponibilidadesvinhaconfexporta[".filterFields"] = array();
$tdatadisponibilidadesvinhaconfexporta[".requiredSearchFields"] = array();

$tdatadisponibilidadesvinhaconfexporta[".googleLikeFields"] = array();
$tdatadisponibilidadesvinhaconfexporta[".googleLikeFields"][] = "Marza";
$tdatadisponibilidadesvinhaconfexporta[".googleLikeFields"][] = "Confirmado";
$tdatadisponibilidadesvinhaconfexporta[".googleLikeFields"][] = "Talea";
$tdatadisponibilidadesvinhaconfexporta[".googleLikeFields"][] = "Clone";



$tdatadisponibilidadesvinhaconfexporta[".tableType"] = "list";

$tdatadisponibilidadesvinhaconfexporta[".printerPageOrientation"] = 0;
$tdatadisponibilidadesvinhaconfexporta[".nPrinterPageScale"] = 100;

$tdatadisponibilidadesvinhaconfexporta[".nPrinterSplitRecords"] = 40;

$tdatadisponibilidadesvinhaconfexporta[".geocodingEnabled"] = false;










$tdatadisponibilidadesvinhaconfexporta[".pageSize"] = 999;

$tdatadisponibilidadesvinhaconfexporta[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatadisponibilidadesvinhaconfexporta[".strOrderBy"] = $tstrOrderBy;

$tdatadisponibilidadesvinhaconfexporta[".orderindexes"] = array();

$tdatadisponibilidadesvinhaconfexporta[".sqlHead"] = "SELECT Assegnatos.Marza,  Assegnatos.Varieta,  Assegnatos.Totale,  SUM(Vinha.Quantidade) AS `Quantidade Vendida`,  COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0)) AS Stock,  Vinha.Confirmado,  Assegnatos.Talea,  Assegnatos.Clone";
$tdatadisponibilidadesvinhaconfexporta[".sqlFrom"] = "FROM Vinha  RIGHT OUTER JOIN Assegnatos ON Assegnatos.Codice = Vinha.CodPlanta";
$tdatadisponibilidadesvinhaconfexporta[".sqlWhereExpr"] = "(Vinha.Confirmado =1)";
$tdatadisponibilidadesvinhaconfexporta[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatadisponibilidadesvinhaconfexporta[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatadisponibilidadesvinhaconfexporta[".arrGroupsPerPage"] = $arrGPP;

$tdatadisponibilidadesvinhaconfexporta[".highlightSearchResults"] = true;

$tableKeysdisponibilidadesvinhaconfexporta = array();
$tdatadisponibilidadesvinhaconfexporta[".Keys"] = $tableKeysdisponibilidadesvinhaconfexporta;


$tdatadisponibilidadesvinhaconfexporta[".hideMobileList"] = array();




//	Marza
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "Marza";
	$fdata["GoodName"] = "Marza";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConfEXPORTA","Marza");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Marza";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Marza";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "Assegnatos";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
			$edata["LookupUnique"] = true;

	$edata["LinkField"] = "Marza";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "Marza";

	

	
	$edata["LookupOrderBy"] = "Marza";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconfexporta["Marza"] = $fdata;
		$tdatadisponibilidadesvinhaconfexporta[".searchableFields"][] = "Marza";
//	Varieta
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Varieta";
	$fdata["GoodName"] = "Varieta";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConfEXPORTA","Varieta");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Varieta";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Varieta";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the user's search options list
		$fdata["searchOptionsList"] = array();
		$fdata["searchOptionsList"][] = "Equals";
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconfexporta["Varieta"] = $fdata;
		$tdatadisponibilidadesvinhaconfexporta[".searchableFields"][] = "Varieta";
//	Totale
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Totale";
	$fdata["GoodName"] = "Totale";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConfEXPORTA","Totale");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Totale";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Totale";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconfexporta["Totale"] = $fdata;
		$tdatadisponibilidadesvinhaconfexporta[".searchableFields"][] = "Totale";
//	Quantidade Vendida
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "Quantidade Vendida";
	$fdata["GoodName"] = "Quantidade_Vendida";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConfEXPORTA","Quantidade_Vendida");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Quantidade Vendida";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "SUM(Vinha.Quantidade)";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconfexporta["Quantidade Vendida"] = $fdata;
		$tdatadisponibilidadesvinhaconfexporta[".searchableFields"][] = "Quantidade Vendida";
//	Stock
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "Stock";
	$fdata["GoodName"] = "Stock";
	$fdata["ownerTable"] = "";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConfEXPORTA","Stock");
	$fdata["FieldType"] = 14;

	
	
	
			

		$fdata["strField"] = "Stock";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconfexporta["Stock"] = $fdata;
		$tdatadisponibilidadesvinhaconfexporta[".searchableFields"][] = "Stock";
//	Confirmado
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "Confirmado";
	$fdata["GoodName"] = "Confirmado";
	$fdata["ownerTable"] = "Vinha";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConfEXPORTA","Confirmado");
	$fdata["FieldType"] = 16;

	
	
	
			

		$fdata["strField"] = "Confirmado";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Vinha.Confirmado";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Checkbox");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Checkbox");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
				$fdata["filterFormat"] = "Options list";
		$fdata["showCollapsed"] = false;

	
	
	
		$fdata["filterCheckedMessageType"] = "Text";
	$fdata["filterCheckedMessageText"] = "Checked";
	$fdata["filterUncheckedMessageType"] = "Text";
	$fdata["filterUncheckedMessageText"] = "Unchecked";

//end of Filters settings


	$tdatadisponibilidadesvinhaconfexporta["Confirmado"] = $fdata;
		$tdatadisponibilidadesvinhaconfexporta[".searchableFields"][] = "Confirmado";
//	Talea
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "Talea";
	$fdata["GoodName"] = "Talea";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConfEXPORTA","Talea");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Talea";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Talea";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconfexporta["Talea"] = $fdata;
		$tdatadisponibilidadesvinhaconfexporta[".searchableFields"][] = "Talea";
//	Clone
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "Clone";
	$fdata["GoodName"] = "Clone";
	$fdata["ownerTable"] = "Assegnatos";
	$fdata["Label"] = GetFieldLabel("DisponibilidadesVinhaConfEXPORTA","Clone");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "Clone";

		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Assegnatos.Clone";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "number";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatadisponibilidadesvinhaconfexporta["Clone"] = $fdata;
		$tdatadisponibilidadesvinhaconfexporta[".searchableFields"][] = "Clone";


$tables_data["DisponibilidadesVinhaConfEXPORTA"]=&$tdatadisponibilidadesvinhaconfexporta;
$field_labels["DisponibilidadesVinhaConfEXPORTA"] = &$fieldLabelsdisponibilidadesvinhaconfexporta;
$fieldToolTips["DisponibilidadesVinhaConfEXPORTA"] = &$fieldToolTipsdisponibilidadesvinhaconfexporta;
$placeHolders["DisponibilidadesVinhaConfEXPORTA"] = &$placeHoldersdisponibilidadesvinhaconfexporta;
$page_titles["DisponibilidadesVinhaConfEXPORTA"] = &$pageTitlesdisponibilidadesvinhaconfexporta;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["DisponibilidadesVinhaConfEXPORTA"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["DisponibilidadesVinhaConfEXPORTA"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//


require_once(getabspath("classes/sql.php"));










function createSqlQuery_disponibilidadesvinhaconfexporta()
{
$proto1=array();
$proto1["m_strHead"] = "SELECT";
$proto1["m_strFieldList"] = "Assegnatos.Marza,  Assegnatos.Varieta,  Assegnatos.Totale,  SUM(Vinha.Quantidade) AS `Quantidade Vendida`,  COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0)) AS Stock,  Vinha.Confirmado,  Assegnatos.Talea,  Assegnatos.Clone";
$proto1["m_strFrom"] = "FROM Vinha  RIGHT OUTER JOIN Assegnatos ON Assegnatos.Codice = Vinha.CodPlanta";
$proto1["m_strWhere"] = "(Vinha.Confirmado =1)";
$proto1["m_strOrderBy"] = "";
	
		;
			$proto1["cipherer"] = null;
$proto3=array();
$proto3["m_sql"] = "Vinha.Confirmado =1";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "=1";
$proto3["m_havingmode"] = false;
$proto3["m_inBrackets"] = false;
$proto3["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto3);

$proto1["m_where"] = $obj;
$proto5=array();
$proto5["m_sql"] = "";
$proto5["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto5["m_column"]=$obj;
$proto5["m_contained"] = array();
$proto5["m_strCase"] = "";
$proto5["m_havingmode"] = false;
$proto5["m_inBrackets"] = false;
$proto5["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto5);

$proto1["m_having"] = $obj;
$proto1["m_fieldlist"] = array();
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "Marza",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto7["m_sql"] = "Assegnatos.Marza";
$proto7["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto1["m_fieldlist"][]=$obj;
						$proto9=array();
			$obj = new SQLField(array(
	"m_strName" => "Varieta",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto9["m_sql"] = "Assegnatos.Varieta";
$proto9["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto9["m_expr"]=$obj;
$proto9["m_alias"] = "";
$obj = new SQLFieldListItem($proto9);

$proto1["m_fieldlist"][]=$obj;
						$proto11=array();
			$obj = new SQLField(array(
	"m_strName" => "Totale",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto11["m_sql"] = "Assegnatos.Totale";
$proto11["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto11["m_expr"]=$obj;
$proto11["m_alias"] = "";
$obj = new SQLFieldListItem($proto11);

$proto1["m_fieldlist"][]=$obj;
						$proto13=array();
			$proto14=array();
$proto14["m_functiontype"] = "SQLF_SUM";
$proto14["m_arguments"] = array();
						$obj = new SQLField(array(
	"m_strName" => "Quantidade",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto14["m_arguments"][]=$obj;
$proto14["m_strFunctionName"] = "SUM";
$obj = new SQLFunctionCall($proto14);

$proto13["m_sql"] = "SUM(Vinha.Quantidade)";
$proto13["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto13["m_expr"]=$obj;
$proto13["m_alias"] = "Quantidade Vendida";
$obj = new SQLFieldListItem($proto13);

$proto1["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLNonParsed(array(
	"m_sql" => "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))"
));

$proto16["m_sql"] = "COALESCE(Assegnatos.Totale,0)-SUM(COALESCE(Vinha.Quantidade,0))";
$proto16["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "Stock";
$obj = new SQLFieldListItem($proto16);

$proto1["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto18["m_sql"] = "Vinha.Confirmado";
$proto18["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto1["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "Talea",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto20["m_sql"] = "Assegnatos.Talea";
$proto20["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto1["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "Clone",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto22["m_sql"] = "Assegnatos.Clone";
$proto22["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto1["m_fieldlist"][]=$obj;
$proto1["m_fromlist"] = array();
												$proto24=array();
$proto24["m_link"] = "SQLL_MAIN";
			$proto25=array();
$proto25["m_strName"] = "Vinha";
$proto25["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto25["m_columns"] = array();
$proto25["m_columns"][] = "CodVenda";
$proto25["m_columns"][] = "CodUser";
$proto25["m_columns"][] = "Data";
$proto25["m_columns"][] = "CodPlanta";
$proto25["m_columns"][] = "CodCliente";
$proto25["m_columns"][] = "Quantidade";
$proto25["m_columns"][] = "Confirmado";
$proto25["m_columns"][] = "Pago20%";
$proto25["m_columns"][] = "Encomendado";
$proto25["m_columns"][] = "PagoTotal";
$proto25["m_columns"][] = "Fornecido";
$proto25["m_columns"][] = "NEntrega";
$proto25["m_columns"][] = "PE";
$proto25["m_columns"][] = "Clone";
$proto25["m_columns"][] = "NE";
$proto25["m_columns"][] = "Saldo";
$proto25["m_columns"][] = "CodMarza";
$proto25["m_columns"][] = "Saldo1";
$proto25["m_columns"][] = "Escolha";
$obj = new SQLTable($proto25);

$proto24["m_table"] = $obj;
$proto24["m_sql"] = "Vinha";
$proto24["m_alias"] = "";
$proto24["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto26=array();
$proto26["m_sql"] = "";
$proto26["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto26["m_column"]=$obj;
$proto26["m_contained"] = array();
$proto26["m_strCase"] = "";
$proto26["m_havingmode"] = false;
$proto26["m_inBrackets"] = false;
$proto26["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto26);

$proto24["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto24);

$proto1["m_fromlist"][]=$obj;
												$proto28=array();
$proto28["m_link"] = "SQLL_RIGHTJOIN";
			$proto29=array();
$proto29["m_strName"] = "Assegnatos";
$proto29["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto29["m_columns"] = array();
$proto29["m_columns"][] = "Data";
$proto29["m_columns"][] = "Marza";
$proto29["m_columns"][] = "Talea";
$proto29["m_columns"][] = "Varieta";
$proto29["m_columns"][] = "Totale";
$proto29["m_columns"][] = "Codice";
$proto29["m_columns"][] = "Clone";
$obj = new SQLTable($proto29);

$proto28["m_table"] = $obj;
$proto28["m_sql"] = "RIGHT OUTER JOIN Assegnatos ON Assegnatos.Codice = Vinha.CodPlanta";
$proto28["m_alias"] = "";
$proto28["m_srcTableName"] = "DisponibilidadesVinhaConfEXPORTA";
$proto30=array();
$proto30["m_sql"] = "Assegnatos.Codice = Vinha.CodPlanta";
$proto30["m_uniontype"] = "SQLL_UNKNOWN";
						$obj = new SQLField(array(
	"m_strName" => "Codice",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto30["m_column"]=$obj;
$proto30["m_contained"] = array();
$proto30["m_strCase"] = "= Vinha.CodPlanta";
$proto30["m_havingmode"] = false;
$proto30["m_inBrackets"] = false;
$proto30["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto30);

$proto28["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto28);

$proto1["m_fromlist"][]=$obj;
$proto1["m_groupby"] = array();
												$proto32=array();
						$obj = new SQLField(array(
	"m_strName" => "Marza",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto32["m_column"]=$obj;
$obj = new SQLGroupByItem($proto32);

$proto1["m_groupby"][]=$obj;
												$proto34=array();
						$obj = new SQLField(array(
	"m_strName" => "Varieta",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto34["m_column"]=$obj;
$obj = new SQLGroupByItem($proto34);

$proto1["m_groupby"][]=$obj;
												$proto36=array();
						$obj = new SQLField(array(
	"m_strName" => "Totale",
	"m_strTable" => "Assegnatos",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto36["m_column"]=$obj;
$obj = new SQLGroupByItem($proto36);

$proto1["m_groupby"][]=$obj;
												$proto38=array();
						$obj = new SQLField(array(
	"m_strName" => "Confirmado",
	"m_strTable" => "Vinha",
	"m_srcTableName" => "DisponibilidadesVinhaConfEXPORTA"
));

$proto38["m_column"]=$obj;
$obj = new SQLGroupByItem($proto38);

$proto1["m_groupby"][]=$obj;
$proto1["m_orderby"] = array();
$proto1["m_srcTableName"]="DisponibilidadesVinhaConfEXPORTA";		
$obj = new SQLQuery($proto1);

	return $obj;
}
$queryData_disponibilidadesvinhaconfexporta = createSqlQuery_disponibilidadesvinhaconfexporta();


	
		;

								

$tdatadisponibilidadesvinhaconfexporta[".sqlquery"] = $queryData_disponibilidadesvinhaconfexporta;

$tableEvents["DisponibilidadesVinhaConfEXPORTA"] = new eventsBase;
$tdatadisponibilidadesvinhaconfexporta[".hasEvents"] = false;

?>